#### D.15.1.31 arrIsFree

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrIsFree(A); arr A, multarr A

Return:
  [0,1] 1 if the (multi-)arrangement is free, i.e. Der(A) is a free module

Note:
  only defined for central arrangements

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A3 = arrBoolean(3);
    arr B3 = arrTypeB(3);
    arr G = ideal(x,y,z,x+y+z);
    arrIsFree(A3);
    ==> 1
    arrIsFree(B3);
    ==> 1
    arrIsFree(G);
    ==> 0

See also: arrDer; arrExponents; arrIsFree.

User manual for Singular version 4-0-3, 2016, generated by texi2html.